#### D.2.8.10 mindeg

Procedure from library `polylib.lib` (see polylib_lib).

Usage:
  mindeg(id); id poly/ideal/vector/module/matrix

Return:
  minimal degree/s of monomials of id, independent of ring ordering (mindeg of each variable is 1) of type int if id of type poly, else of type intmat.

Example:

    LIB "polylib.lib";
    ring r = 0,(x,y,z),ls;
    poly f = x5+y2+z3;
    ord(f);                  // ord returns weighted order of leading term!
    ==> 3
    mindeg(f);               // computes minimal degree
    ==> 2
    matrix m[2][2]=x10,1,0,f^2;
    mindeg(m);               // computes matrix of minimum degrees
    ==> 10,0,
    ==> -1,4

See also: mindeg1.

User manual for Singular version 4.4.1, 2025, generated by texi2html.